#
# spec file for package rubygem-foodcritic
#
# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


#
# This file was generated with a gem2rpm.yml and not just plain gem2rpm.
# All sections marked as MANUAL, license headers, summaries and descriptions
# can be maintained in that file. Please consult this file before editing any
# of those fields
#

Name:           rubygem-foodcritic
Version:        7.1.0
Release:        1.1
%define mod_name foodcritic
%define mod_full_name %{mod_name}-%{version}
# MANUAL
%if 0%{?suse_version} == 1110
%define rb_build_versions ruby21
%endif

BuildRequires:  fdupes
# /MANUAL
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  %{ruby >= 2.1.0}
BuildRequires:  %{rubygem gem2rpm}
BuildRequires:  ruby-macros >= 5
BuildRequires:  update-alternatives
Url:            http://foodcritic.io
Source:         http://rubygems.org/gems/%{mod_full_name}.gem
Source1:        gem2rpm.yml
Summary:        Lint tool for Chef cookbooks
License:        MIT
Group:          Development/Languages/Ruby
PreReq:         update-alternatives

%description
Lint tool for Chef cookbooks.

%prep

%build

%install
%gem_install \
  --symlink-binaries \
  --doc-files="CHANGELOG.md LICENSE README.md" \
  -f
# MANUAL
for gem in `ls /usr/bin/ | grep -E 'gem[0-9].[0-9]|gem.ruby'`; do
  gemdir="$($gem env gemdir)"
  %fdupes %{buildroot}$gemdir/gems/%{mod_full_name}
done
# /MANUAL

%gem_packages

%changelog
* Thu Aug 18 2016 coolo@suse.com
- updated to version 7.1.0
  see installed CHANGELOG.md
  [#]# [7.1.0](https://github.com/acrmp/foodcritic/tree/7.1.0)
  [Full Changelog](https://github.com/acrmp/foodcritic/compare/v7.0.1...7.1.0)
  * *Merged pull requests:**
  - Add Chef 12.13.37 metadata and make it the default [#479](https://github.com/acrmp/foodcritic/pull/479) ([tas50](https://github.com/tas50))
  - Add missing assignment attributes [#478](https://github.com/acrmp/foodcritic/pull/478) ([ofir-petrushka](https://github.com/ofir-petrushka))
  - Add 12.12.13 metadata and fix metadata generation [#472](https://github.com/acrmp/foodcritic/pull/472) ([tas50](https://github.com/tas50))
* Thu Jul  7 2016 coolo@suse.com
- updated to version 7.0.1
  see installed CHANGELOG.md
* Wed Jul  6 2016 coolo@suse.com
- updated to version 7.0.0
  see installed CHANGELOG.md
* Sat May 21 2016 coolo@suse.com
- updated to version 6.3.0
  see installed CHANGELOG.md
* Wed Apr 27 2016 coolo@suse.com
- updated to version 6.2.0
  see installed CHANGELOG.md
  [#]# 6.2.0 (26 April, 2016)
  - Added Chef 12.9.38 metadata
  - Made Chef 12.9.38 the default Chef release. Previously this was 12.4.1. This prevents Foodcritic from warning on new resource attributes that have been releases since 12.4.1
* Tue Apr 12 2016 coolo@suse.com
- updated to version 6.1.1
  see installed CHANGELOG.md
* Thu Apr  7 2016 coolo@suse.com
- updated to version 6.1.0
  see installed CHANGELOG.md
  [#]# Unreleased
  - Added chef12 tag to FC064 and FC065 since these check for functionality introduced in Chef 12
  [#]# 6.1.0 (06 April, 2016)
  Features:
  - Added Chef 12.8.1 metadata
  - Ship the Rakefile, Gemfile, and gemspec files with the gem for simplified testing
  Bugfixes:
  - Fix incorrect instructions for the generation of metadata files
  - Fix deprecation warnings on Rake 11
  - Fail better if cucumber/rubocop aren't installed when running the Rakefile
* Tue Feb 23 2016 coolo@suse.com
- updated to version 6.0.1
  see installed CHANGELOG.md
* Fri Jan 15 2016 coolo@suse.com
- updated to version 6.0.0
  see installed CHANGELOG.md
* Fri Sep 18 2015 coolo@suse.com
- updated to version 5.0.0
  see installed CHANGELOG.md
  [#]# Unreleased
  Features:
  - DSL metadata updated for Chef 11.18.x and up to Chef 12.4.1.
    ([related issue](https://github.com/acrmp/foodcritic/issues/362)).
  - Set default `chef_version` to 12.4.1
    ([related issue](https://github.com/acrmp/foodcritic/pull/364)).
  - add warnings for use of recommends/suggests.
    ([related issue](https://github.com/acrmp/foodcritic/pull/309)).
  - Show progress with --progress
    ([related issue](https://github.com/acrmp/foodcritic/pull/244)).
  - Added -l option to list enabled rules and descriptions
    ([related issue](https://github.com/acrmp/foodcritic/pull/285)).
  Bugfixes:
  - Fixed `node.force_default` and `node.force_override` along with many other methods on Chef::Node::Attribute that
    `Chef::Node#method_missing` was forwarding methods to.
    ([related issue](https://github.com/acrmp/foodcritic/pull/364)).
  - merge default options before check instead of during intialization (in Rake task)
    ([related issue](https://github.com/acrmp/foodcritic/pull/321)).
  - Fix UTF-8 errors in template checking
    ([related issue](https://github.com/acrmp/foodcritic/pull/317)).
  - Make FC041 smarter about CURL usage
    ([related issue](https://github.com/acrmp/foodcritic/pull/313)).
  - pinned moustache gem to 0.99 for ruby 1.9.3 compatibility
    Thanks @jdmundrawala
  - Added metadata for missing Chef 11 versions.
    Thanks @jdmundrawala
  - [FC044: Avoid bare attribute keys](http://acrmp.github.com/foodcritic/#FC044) would fire on parameterized attributes.
    Thanks @odcinek
  - [FC048: Prefer Mixlib::ShellOut](http://foodcritic.io/#FC048) would false positive on system attribute of user resource.
    Thanks @odcinek
  - Handle flagging binary files properly.
    Thanks @odcinek
  - [FC002: Avoid string interpolation where not required](http://acrmp.github.com/foodcritic/#FC002) would erroneously trigger on heredoc on ruby 2.2
    Thanks @ryansouza and @odcinek
  Other:
  - 1.9.3 is removed from the travis matrix and no longer supported
    ([related issue](https://github.com/acrmp/foodcritic/pull/315)).
  - 1.9.3 compat is removed from the gemspec (v4.0.0 will be the last version that will install on 1.9.3)
    ([related issue](https://github.com/acrmp/foodcritic/pull/377)).
  - removed cookbooks no longer present in the chef-cookbooks repo from regression tests
* Thu Jan 29 2015 tboerger@suse.com
- Removed duplicate entry for preamble on gem2rpm.yml
* Thu Jan 29 2015 tboerger@suse.com
- Build only for ruby21 on SLE 11
- Execute fdupes on the real pathes
* Thu Oct 23 2014 tboerger@suse.com
- Fixed bad rpmlint results
* Fri Oct 17 2014 coolo@suse.com
- updated to version 4.0.0, see CHANGELOG.md
* Sun Oct 20 2013 coolo@suse.com
- updated to version 3.0.3
  - [FC051: Template partials loop indefinitely](http://foodcritic.io/#FC051)
    would cause an error for partials included from a subdirectory or where the
    partial did not exist
    ([related issue](https://github.com/acrmp/foodcritic/issues/176)). Thanks
    @claco, @michaelglass.
* Thu Oct 10 2013 coolo@suse.com
- updated to version 3.0.2
  Bugfixes:
  - [FC051: Template partials loop indefinitely](http://foodcritic.io/#FC051)
    can cause foodcritic to exit with an error on encountering a file that
    cannot be read as UTF-8. We now explicitly exclude `.DS_Store` and `*.swp`
    as a workaround
    ([related issue](https://github.com/acrmp/foodcritic/issues/172)). Thanks
    @tmatilai, @claco.
  - [FC022: Resource condition within loop may not behave as expected](http://foodcritic.io/#FC022)
    would warn incorrectly against loops where the block accepts more than one
    argument
    ([related issue](https://github.com/acrmp/foodcritic/issues/69)). Thanks
    @Ips1975, @jaymzh.
* Fri Oct  4 2013 coolo@suse.com
- updated to version 3.0.1
  - Rake version constraint removed to make packaging easier for users who
  deploy foodcritic alongside Omnibus Chef.
* Mon Sep 23 2013 coolo@suse.com
- updated to version 3.0.0
  Features:
  - [FC047: Attribute assignment does not specify precedence](http://foodcritic.io/#FC047)
    rule added
    ([related issue](https://github.com/acrmp/foodcritic/issues/81)). Thanks
    @jtimberman, @miketheman.
  - [FC048: Prefer Mixlib::ShellOut](http://foodcritic.io/#FC048)
    rule added
    ([related issue](https://github.com/acrmp/foodcritic/issues/111)). Thanks
    @jaymzh.
  - [FC049: Role name does not match containing file name](http://foodcritic.io/#FC049)
    rule added
    ([related issue](https://github.com/acrmp/foodcritic/issues/19)). Thanks
    @jaymzh.
  - [FC050: Name includes invalid characters](http://foodcritic.io/#FC050)
    rule added.
  - [FC051: Template partials loop indefinitely](http://foodcritic.io/#FC051)
    rule added.
  - Added support for checking Chef environment and role files
    ([related issue](https://github.com/acrmp/foodcritic/issues/19)). Thanks
    @jaymzh.
  - Added metadata for Chef 11.6.0.
  - API methods `#field`, `#field_value` and `#templates_included` added.
  - The API now exposes access to whether individual warnings should be viewed
    as failures
    ([related issue](https://github.com/acrmp/foodcritic/issues/150)). Thanks
    @jamesdburgess.
  Bugfixes:
  - [FC007: Ensure recipe dependencies are reflected in cookbook metadata](http://foodcritic.io/#FC007)
    would warn if specifying dependencies in a multi-line word list with leading whitespace
    ([related issue](https://github.com/acrmp/foodcritic/issues/160)). Thanks to
    @philk for identifying and fixing this issue.
  - [FC007: Ensure recipe dependencies are reflected in cookbook metadata](http://foodcritic.io/#FC007)
    would not warn if `include_recipe` used parentheses
    ([related issue](https://github.com/acrmp/foodcritic/issues/155)). Thanks
    @jamesdburgess.
  - [FC017: LWRP does not notify when updated](http://foodcritic.io/#FC017)
    would warn even if `converge_by` or `use_inline_resources` was used
    ([related issue](https://github.com/acrmp/foodcritic/issues/90)). Thanks
    @stevendanna, @nevir.
  - [FC017: LWRP does not notify when updated](http://foodcritic.io/#FC017)
    would not warn if any action within the provider notified. Updated to report
    against actions individually
    ([related issue](https://github.com/acrmp/foodcritic/issues/90)).
  - [FC019: Access node attributes in a consistent manner](http://foodcritic.io/#FC019)
    would warn incorrectly against `node.run_state`
    ([related issue](https://github.com/acrmp/foodcritic/issues/66)). Thanks
    @jtimberman.
  - [FC033: Missing template](http://foodcritic.io/#FC033)
    would warn if the template filename began with a dot
    ([related issue](https://github.com/acrmp/foodcritic/issues/165)). Thanks
    @eherot.
  - [FC034: Unused template variables](http://foodcritic.io/#FC034)
    would warn incorrectly if variables were used by partials
    ([related issue](https://github.com/acrmp/foodcritic/issues/140)). Thanks to
    @v-a for implementing initial support for partials.
  - [FC034: Unused template variables](http://foodcritic.io/#FC034)
    would not be shown against inferred templates.
  - [FC038: Invalid resource action](http://foodcritic.io/#FC038)
* Wed Jul 31 2013 coolo@suse.com
- updated to version 2.2.0
  Features:
  - Additional rules may now be shipped as gems. Files matching the path
    `foodcritic/rules/**/*.rb` will be loaded if the `--search-gems` option is
    specified
    ([related issue](https://github.com/acrmp/foodcritic/issues/143)). Thanks
    to @rteabeault for implementing this feature.
  - You can now control the rules applied to individual cookbooks by including
    a `.foodcritic` file at the root of your cookbook with the tags you want
    checked
    ([related issue](https://github.com/acrmp/foodcritic/issues/141)). Thanks
    to @sabat for implementing this feature.
  - The [project license](https://github.com/acrmp/foodcritic/blob/master/LICENSE)
    is now included in the built gem
    ([related issue](https://github.com/acrmp/foodcritic/issues/145)).
    Thanks @stefanor.
  - Foodcritic no longer uses the `rak` gem to generate output with context
    ([related issue](https://github.com/acrmp/foodcritic/issues/146)).
    Thanks to @stefanor for re-implementing context output to remove this
    dependency.
  - A man page is now included with foodcritic in
    [ronn-format](http://rtomayko.github.io/ronn/).
    Thanks @stefanor.
  Bugfixes:
  - Definitions are now included in the files that are linted
    ([related issue](https://github.com/acrmp/foodcritic/issues/142)). Thanks
    @bpaquet.
  - [FC009: Resource attribute not recognised](http://acrmp.github.com/foodcritic/#FC009)
    would warn against Windows-specific resource attributes
    ([related issue](https://github.com/acrmp/foodcritic/issues/135)). Thanks
    @stormtrooperguy.
  - [FC011: Missing README in markdown format](http://acrmp.github.com/foodcritic/#FC011)
    was not shown when outputting with context enabled
    ([related issue](https://github.com/acrmp/foodcritic/issues/146)). Thanks
    @stefanor.
  - [FC014: Consider extracting long ruby_block to library](http://acrmp.github.com/foodcritic/#FC014)
    previously used the number of AST nodes to determine block length. This
    was a poor proxy for length and this rule has been updated to warn if the
    number of lines > 15
    ([related issue](https://github.com/acrmp/foodcritic/issues/130)). Thanks
    @adamjk-dev.
  - [FC014: Consider extracting long ruby_block to library](http://acrmp.github.com/foodcritic/#FC014)
* Fri May 24 2013 coolo@suse.com
- updated to version 2.1.0
* Wed Mar 20 2013 coolo@suse.com
- use source url
* Sun Mar  3 2013 coolo@suse.com
- updated to version 1.7.0
* Tue Nov 20 2012 nkrinner@suse.com
- Remove ruby-macros from requirements
* Wed Nov 14 2012 nkrinner@suse.com
- Manually built the gem again to fix nokogiry dependency
* Wed Nov 14 2012 nkrinner@suse.com
- Tweaked gem file so it requires now the recent version 1.5.5  of
  rubygem-nokogiri
* Mon Nov 12 2012 nkrinner@suse.com
- Initial package based on http://rubygems.org/gems/foodcritic
